chore: set max SDK version to <3.0.0 (#46)

5 files changed
tree: 9ddcf91ad1f03bcd8338552f86c06dbdd140e00d
  1. .gitignore
  2. .test_config
  3. .travis.yml
  4. CHANGELOG.md
  5. LICENSE
  6. README.md
  7. benchmark/
  8. codereview.settings
  9. lib/
  10. libyaml-license.txt
  11. pubspec.yaml
  12. test/
README.md

A parser for YAML.

Build Status

Use loadYaml to load a single document, or loadYamlStream to load a stream of documents. For example:

import 'package:yaml/yaml.dart';

main() {
  var doc = loadYaml("YAML: YAML Ain't Markup Language");
  print(doc['YAML']);
}

This library currently doesn't support dumping to YAML. You should use JSON.encode from dart:convert instead:

import 'dart:convert';
import 'package:yaml/yaml.dart';

main() {
  var doc = loadYaml("YAML: YAML Ain't Markup Language");
  print(JSON.encode(doc));
}